Name:           python-pynose
Version:        1.5.4
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        pynose fixes nose to extend unittest and make testing easier

# No license information obtained, it's up to the packager to fill it in
License:        LGPL-2.1
URL:            https://github.com/mdmintz/pynose
Source:         %{pypi_source pynose}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
pynose is an updated version of nose, originally made by Jason Pellerin. This
version of nose is compatible with Python 3.7+ (including 3.13+). Changes in
pynose from legacy nose include:
 - Fixes "AttributeError: module 'collections' has no attribute 'Callable'."
 - Fixes "AttributeError: module 'inspect' has no attribute 'getargspec'."
 - Fixes "ImportError: cannot import name '_TextTestResult' from 'unittest'."
 - Fixes "RuntimeWarning: TestResult has no addDuration method."
 - Fixes "DeprecationWarning: pkg_resources is deprecated as an API."
 - Fixes all flake8 issues from the original nose.
 - Replaces the imp module with the newer importlib module.
 - The default logging level now hides "INFO" logs for less noise.
 - Adds --capture-logs for hiding output from all logging levels.
 - Adds --logging-init to use logging.basicConfig(level).
 - The -s option is always active to see the output of print().
 - Adds --capture-output for hiding the output of print().
 - Adds --co as a shortcut to using --collect-only.}

%description %_description

%package -n     python3-pynose
Summary:        %{summary}

%description -n python3-pynose %_description


%prep
%autosetup -p1 -n pynose-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# Add top-level Python module names here as arguments, you can use globs
%pyproject_save_files -l nose


%check
%pyproject_check_import


%files -n python3-pynose -f %{pyproject_files}
%{_bindir}/nosetests
%{_bindir}/pynose

%changelog
%autochangelog
